import javax.microedition.lcdui.*;
import javax.microedition.midlet.MIDlet;


/**
 * This class can be used to test the <code>PropsRS</code> class.
 *
 * @author Michel Deriaz
 */ 
public class TestPropsRS extends MIDlet implements CommandListener {
  Display display;
  Form form;
  Command cmd1, cmd2;
  PropsRS props;
  
    
  public TestPropsRS() {
    form = new Form("TestPropsRS");
    cmd1 = new Command("1_Delete", Command.ITEM, 0);
    form.addCommand(cmd1);
    cmd2 = new Command("2_Read_write", Command.ITEM, 0);
    form.addCommand(cmd2);
    form.setCommandListener(this);
    props = new PropsRS("TestPropsRS");
  }
  
  
  public void commandAction(Command c, Displayable d) {
    if (c.equals(cmd1)) {
      alert("Record store deleted? " + PropsRS.delete("TestPropsRS"));
      props = new PropsRS("TestPropsRS");
    }
    if (c.equals(cmd2)) {
      String message = "";
      message += "\nvalue1 = " + props.get("key1");
      message += "\nvalue2 = " + props.getInt("key2");
      message += "\nproperty1 OK? " + props.set("key1", "Hello PropsRS");
      message += "\nproperty2 OK? " + props.set("key2", 1234);
      message += "\nsaving OK? " + props.save();
      alert(message);
    }
  }
  
  
  protected void startApp() {
    display = Display.getDisplay(this);
    display.setCurrent(form);
  }
  
    
  protected void pauseApp () {}


  protected void destroyApp(boolean unconditional) {}
  
  
  private void alert(String message) {
    Alert alert = new Alert("Alert", message, null, AlertType.INFO);
    alert.setTimeout(Alert.FOREVER);
    display.setCurrent(alert, form);
  }
}